org.tmatesoft.svn.core

## Interface ISVNCanceller

- All Known Subinterfaces:
    ISVNAdminEventHandler, ISVNEventHandler
  All Known Implementing Classes:
    SVNAdminClient, SVNAdminEventAdapter, SVNBasicClient, SVNChangelistClient, SVNCommitClient, SVNCopyClient, org.tmatesoft.svn.core.internal.wc.SVNCopyDriver, SVNDiffClient, SVNEventAdapter, org.tmatesoft.svn.core.internal.wc.SVNExtendedMergeDriver, SVNLogClient, SVNLookClient, org.tmatesoft.svn.core.internal.wc.SVNMergeDriver, SVNMoveClient, SVNRepositoryReplicator, SVNStatusClient, SVNUpdateClient, SVNWCClient

      public interface ISVNCanceller

  The ISVNCanceller interface is used in `SVNKit` for cancelling operations. To cancel a running operation an implementor should throw an `SVNCancelException` from his `checkCancelled()` implementation. This method is called in plenty of `SVNKit` methods to give a user a chance to cancel a current running operation. For example, it could be a GUI application where a 'cancel' button would make the implementor's `checkCancelled()` method throw such an exception.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ISVNCanceller` | `NULL` Default implementation which never throws an `SVNCancelException` (never cancels).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCancelled()` Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.

- - ### Field Detail

    - #### NULL

          static final ISVNCanceller NULL

      Default implementation which never throws an `SVNCancelException` (never cancels).

  - ### Method Detail

    - #### checkCancelled

          void checkCancelled()
                              throws SVNCancelException

      Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.

      This method is often called during iterations when processing trees of versioned items. This way the entire operation may be interrupted without waiting till the iteration run out.
      Throws:
        `SVNCancelException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.